﻿/**Begin prompt_table.sql **/
IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_GAI_PROMPT') 
 CREATE TABLE T_GAI_PROMPT (
FID BIGINT DEFAULT 0 NOT NULL,
FNUMBER VARCHAR(30) DEFAULT ' ',
FNAME NVARCHAR(100) DEFAULT ' ',
FSTATUS VARCHAR(50) DEFAULT ' ',
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FENABLE VARCHAR(50) DEFAULT ' ',
FCREATETIME DATETIME,
FMODIFYTIME DATETIME,
FMASTERID BIGINT DEFAULT 0 NOT NULL,
FCREATEORGID BIGINT DEFAULT 0 NOT NULL,
FORGID BIGINT DEFAULT 0 NOT NULL,
FUSEORGID BIGINT DEFAULT 0 NOT NULL,
FCTRLSTRATEGY VARCHAR(50) DEFAULT ' ',
FSOURCEDATAID BIGINT DEFAULT 0 NOT NULL,
FBITINDEX BIGINT DEFAULT 0 NOT NULL,
FSOURCEBITINDEX BIGINT DEFAULT 0 NOT NULL,
FDESC NVARCHAR(100) DEFAULT ' ',
FCURRENCY CHAR(1) DEFAULT '0',
FDEVASSISTANT CHAR(1) DEFAULT '0',
FBUSINESSASSISTANT CHAR(1) DEFAULT '0',
FMODELSTYLE VARCHAR(50) DEFAULT ' ',
FLANGUAGEMODEL VARCHAR(50) DEFAULT ' ',
FPROMPT VARCHAR(255) DEFAULT ' ',
FPROMPT_TAG NCLOB DEFAULT ' ',
FREMEMBERCOUNT DECIMAL(12),
FISPRESET VARCHAR(1) DEFAULT '0',
FISENCRYPTED VARCHAR(1) DEFAULT '0'
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_GAI_PROMPT_IN_VAR') 
 CREATE TABLE T_GAI_PROMPT_IN_VAR (
FID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL,
FVAR NVARCHAR(20) DEFAULT ' ',
FVARNAME NVARCHAR(20) DEFAULT ' ',
FVARTYPE NVARCHAR(50) DEFAULT ' '
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_GAI_PROMPT_L') 
 CREATE TABLE T_GAI_PROMPT_L (
FPKID NVARCHAR(36) DEFAULT ' ' NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID NVARCHAR(10) DEFAULT ' ',
FNAME NVARCHAR(100) DEFAULT ' '
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_GAI_PROMPT_R3') 
 CREATE TABLE T_GAI_PROMPT_R3 (
FID BIGINT DEFAULT 0 NOT NULL,
FREFSTATUS CHAR(1) DEFAULT '0'
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_GAI_PROMPT_OUT_VAR') 
 CREATE TABLE T_GAI_PROMPT_OUT_VAR (
FID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL,
FVAR VARCHAR(20) DEFAULT ' ',
FVARNAME NVARCHAR(20) DEFAULT ' ',
FVARTYPE VARCHAR(50) DEFAULT ' ',
FOUTJSONANALYSIS VARCHAR(1) DEFAULT '1'
);

/**End prompt_table.sql **/
/**Begin prompt_table_constraint.sql **/
 EXEC P_ALTERPK 'PK_T_GAI_PROMPT', 'T_GAI_PROMPT', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_GAI_NUMBER') CREATE INDEX IDX_GAI_NUMBER ON T_GAI_PROMPT ( FNUMBER );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_GAI_USERRG') CREATE INDEX IDX_GAI_USERRG ON T_GAI_PROMPT ( FUSEORGID );


 EXEC P_ALTERPK 'PK_T_GAI_PROMPT_IN_VAR', 'T_GAI_PROMPT_IN_VAR', 'FENTRYID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_GAI_PROMPT_IN_VAR') CREATE INDEX IDX_GAI_PROMPT_IN_VAR ON T_GAI_PROMPT_IN_VAR ( FID );


 EXEC P_ALTERPK 'PK_T_GAI_PROMPT_L', 'T_GAI_PROMPT_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDXT_GAI_PROMPT_L') CREATE INDEX IDXT_GAI_PROMPT_L ON T_GAI_PROMPT_L ( FID );


 EXEC P_ALTERPK 'PK_T_GAI_PROMPT_R3', 'T_GAI_PROMPT_R3', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_GAI_PROMPT_R3') CREATE INDEX IDX_GAI_PROMPT_R3 ON T_GAI_PROMPT_R3 ( FREFSTATUS );


 EXEC P_ALTERPK 'PK_T_GAI_PROMPT_OUT_VAR', 'T_GAI_PROMPT_OUT_VAR', 'FENTRYID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_GAI_PROMPT_OUT_VAR') CREATE INDEX IDX_GAI_PROMPT_OUT_VAR ON T_GAI_PROMPT_OUT_VAR ( FID );



/**End prompt_table **/
